Index: main/plugin-odf-sync/plugin.xml
===================================================================
--- main/plugin-odf-sync/plugin.xml	(revision 28406)
+++ main/plugin-odf-sync/plugin.xml	(working copy)
@@ -355,7 +355,7 @@
 	</feature>	
 	
 	<!-- +
-		 | Ametys implementation / CDM 1.1
+		 | Ametys implementation / CDM 1.1.1
 		 + -->
 	<feature name="synchronization.ametys.cdm11">
         <extensions>
@@ -372,7 +372,27 @@
                 </namespaces>
            </extension>  
 		</extensions>
-	</feature>	
+	</feature>
+	
+	<!-- +
+         | Ametys implementation / CDM 1.1.2
+         + -->
+    <feature name="synchronization.ametys.cdm12">
+        <extensions>
+            <extension point="org.ametys.plugins.odfsync.cdmfr.CDMFrSyncExtensionPoint"
+                       id="org.ametys.plugins.odfsync.cdmfr.Ametys3CDM11ODFSyncManager"
+                       class="org.ametys.plugins.odfsync.cdmfr.transformers.DefaultCDMFrSyncTransformer">
+                <app>Ametys v3</app>
+                <configuration>
+                    <xsl-transform>plugin:odf-sync://stylesheets/cdm12/cdmfr2content.xsl</xsl-transform>
+                </configuration>
+                <namespaces>
+                    <namespace prefix="cdm" value="http://cdm-fr.fr/2013/CDM"/>
+                    <namespace prefix="cdmfr" value="http://cdm-fr.fr/2013/CDM-frSchema"/>
+                </namespaces>
+           </extension>  
+        </extensions>
+    </feature>  	
 	
 	<!-- +
 		 | ROF 1.3 (CDM 1.0) implementation
Index: main/plugin-odf-sync/stylesheets/cdm12/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/cdmfr2content.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/cdmfr2content.xsl	(revision 0)
@@ -0,0 +1,211 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2012 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:cdmfr="http://cdm-fr.fr/2013/CDM-frSchema"
+	exclude-result-prefixes="cdm cdmfr">
+	
+	<xsl:import href="infoblock2docbook.xsl"/>
+	<xsl:include href="person2content.xsl"/>
+	<xsl:include href="orgunit2content.xsl"/>
+	<xsl:include href="course2content.xsl"/>
+	<xsl:include href="program2content.xsl"/>
+	
+	<xsl:param name="import-root-orgunit-only">false</xsl:param>
+
+	<xsl:template match="/cdm:CDM">
+		<CDM>
+			<xsl:copy-of select="@language"/>
+			<xsl:apply-templates select="//cdm:person"/>
+			<xsl:apply-templates select="//cdm:orgUnit"/>
+			<xsl:apply-templates select="//cdm:course"/>
+			<xsl:apply-templates select="//cdm:program"/>
+		</CDM>
+	</xsl:template>
+	
+	<xsl:template match="cdm:person">
+		<person>
+			<xsl:call-template name="person-CDMid"/>
+			<xsl:call-template name="person-login"/>
+			<xsl:call-template name="person-personTitle"/>
+			<xsl:call-template name="person-lastName"/>
+			<xsl:call-template name="person-givenName"/>
+			<xsl:call-template name="person-role"/>
+			<xsl:call-template name="person-phone"/>
+			<xsl:call-template name="person-fax"/>
+			<xsl:call-template name="person-mail"/>
+			<xsl:call-template name="person-address"/>
+			<xsl:call-template name="person-additionalAddress"/>
+			<xsl:call-template name="person-zipCode"/>
+			<xsl:call-template name="person-town"/>
+			<xsl:call-template name="person-webLinkLabel"/>
+			<xsl:call-template name="person-webLinkUrl"/>
+			<xsl:call-template name="person-additionalInformations"/>
+            
+            <xsl:call-template name="person-additionalFields"/>
+		</person>
+	</xsl:template>
+	
+	<xsl:template match="cdm:orgUnit">
+		<orgunit>
+			<xsl:call-template name="orgunit-CDMid"/>
+			<xsl:call-template name="orgunit-code"/>
+			<xsl:call-template name="orgunit-codeUAI"/>
+			<xsl:call-template name="orgunit-title"/>
+			<xsl:call-template name="orgunit-acronym"/>
+			<xsl:call-template name="orgunit-description"/>
+			<xsl:call-template name="orgunit-admissionInfo"/>
+			<xsl:call-template name="orgunit-regulations"/>
+			<xsl:call-template name="orgunit-expenses"/>
+			<xsl:call-template name="orgunit-universalAdjustment"/>
+			<xsl:call-template name="orgunit-studentFacilities"/>
+			<xsl:call-template name="orgunit-additionalInfos"/>
+			<xsl:call-template name="orgunit-webLinkLabel"/>
+			<xsl:call-template name="orgunit-webLinkUrl"/>
+			<xsl:call-template name="orgunit-contactsReferences"/>
+            
+            <xsl:call-template name="orgunit-additionalFields"/>
+		</orgunit>
+	</xsl:template>
+	
+	<xsl:template match="cdm:course">
+		<course>
+			<xsl:call-template name="course-CDMid"/>
+			<xsl:call-template name="course-description"/>
+			<xsl:call-template name="course-objectives"/>
+			<xsl:call-template name="course-totalDurationOfCM"/>
+			<xsl:call-template name="course-totalDurationOfTD"/>
+			<xsl:call-template name="course-totalDurationOfTP"/>
+			<xsl:call-template name="course-neededPrerequisite"/>
+			<xsl:call-template name="course-recommendedPrerequisite"/>
+			<xsl:call-template name="course-formOfAssessment"/>
+			<xsl:call-template name="course-benefits"/>
+			<xsl:call-template name="course-syllabus"/>
+			<xsl:call-template name="course-additionalInformations"/>
+			<xsl:call-template name="course-title"/>
+			<xsl:call-template name="course-elpCode"/>
+			<xsl:call-template name="course-cdmCode"/>
+			<xsl:call-template name="course-erasmusCode"/>
+			<xsl:call-template name="course-orgUnit"/>
+			<xsl:call-template name="course-teachingLocation"/>
+			<xsl:call-template name="course-personInCharge"/>
+			<xsl:call-template name="course-contact"/>
+			<xsl:call-template name="course-ects"/>
+			<xsl:call-template name="course-nbHours"/>
+			<xsl:call-template name="course-maxNumberOfStudents"/>
+			<xsl:call-template name="course-teachingTerm"/>
+			<xsl:call-template name="course-timeSlot"/>
+			<xsl:call-template name="course-level"/>
+			<xsl:call-template name="course-formofteachingMethod"/>
+			<xsl:call-template name="course-formofteachingOrg"/>
+			<xsl:call-template name="course-teachingActivity"/>
+			<xsl:call-template name="course-teachingLanguage"/>
+			<xsl:call-template name="course-startDate"/>
+			<xsl:call-template name="course-keywords"/>
+			<xsl:call-template name="course-webLinkLabel"/>
+			<xsl:call-template name="course-webLinkUrl"/>
+			<xsl:call-template name="course-coursesReferences"/>
+            
+            <xsl:call-template name="course-additionalFields"/>
+		</course>
+	</xsl:template>
+	
+	<xsl:template match="cdm:program">
+		<program>
+			<xsl:call-template name="program-parse"/>
+		</program>
+	</xsl:template>
+	
+	<xsl:template name="program-parse">
+		<xsl:call-template name="program-CDMid"/>
+		<xsl:call-template name="program-catalog"/>
+		<xsl:call-template name="program-presentation"/>
+		<xsl:call-template name="program-objectives"/>
+		<xsl:call-template name="program-qualification"/>
+		<xsl:call-template name="program-teachingOrganization"/>
+		<xsl:call-template name="program-accessCondition"/>
+		<xsl:call-template name="program-neededPrerequisite"/>
+		<xsl:call-template name="program-recommendedPrerequisite"/>
+		<xsl:call-template name="program-furtherStudy"/>
+		<xsl:call-template name="program-studyAbroad"/>
+		<xsl:call-template name="program-targetGroup"/>
+		<xsl:call-template name="program-jobOpportunities"/>
+		<xsl:call-template name="program-trainingStrategy"/>
+        <xsl:call-template name="program-trainingInfo"/>
+		<xsl:call-template name="program-knowledgeCheck"/>
+		<xsl:call-template name="program-universalAdjustment"/>
+		<xsl:call-template name="program-additionalInformations"/>
+		<xsl:call-template name="program-reorientation"/>
+		<xsl:call-template name="program-expenses"/>
+		<xsl:call-template name="program-domain"/>
+		<xsl:call-template name="program-rncpCode"/>
+		<xsl:call-template name="program-siseCode"/>
+		<xsl:call-template name="program-dgesipCode"/>
+		<xsl:call-template name="program-cite97Code"/>
+		<xsl:call-template name="program-erasmusCode"/>
+		<xsl:call-template name="program-romeCode"/>
+		<xsl:call-template name="program-code"/>
+		<xsl:call-template name="program-cdmCode"/>
+		<xsl:call-template name="program-title"/>
+		<xsl:call-template name="program-domain"/>
+		<xsl:call-template name="program-mention"/>
+		<xsl:call-template name="program-speciality"/>
+		<xsl:call-template name="program-educationLevel"/>
+		<xsl:call-template name="program-degree"/>
+		<xsl:call-template name="program-jointOrgUnit"/>
+		<xsl:call-template name="program-orgUnit"/>
+		<xsl:call-template name="program-place"/>
+		<xsl:call-template name="program-personInCharge"/>
+		<xsl:call-template name="program-contact"/>
+		<xsl:call-template name="program-programWebSiteUrl"/>
+		<xsl:call-template name="program-programWebSiteLabel"/>
+		<xsl:call-template name="program-successRate"/>
+		<xsl:call-template name="program-ects"/>
+		<xsl:call-template name="program-educationKind"/>
+		<xsl:call-template name="program-duration"/>
+		<xsl:call-template name="program-educationLanguage"/>
+		<xsl:call-template name="program-numberOfStudents"/>
+		<xsl:call-template name="program-formofteachingOrg"/>
+		<xsl:call-template name="program-distanceLearning"/>
+		<xsl:call-template name="program-attachments"/>
+		<xsl:call-template name="program-partnerLaboratories"/>
+		<xsl:call-template name="program-partnerSchools"/>
+		<xsl:call-template name="program-keywords"/>
+		<xsl:call-template name="program-structure"/>
+		<xsl:call-template name="program-subProgram"/>
+        
+        <xsl:call-template name="program-additionalFields"/>
+	</xsl:template>
+	
+	<!-- Template to get the root orgunit if present -->
+	<xsl:template name="root-orgunit-id">
+		<xsl:choose>
+			<!-- Test in habiliation first -->
+			<xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:refOrgUnit != ''">
+				<xsl:variable name="codeUAI" select="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:refOrgUnit"/>
+				<xsl:if test="/cdm:CDM/cdm:orgUnit[cdm:orgUnitCode[@codeSet = 'codeUAI'] = $codeUAI]/cdm:orgUnitID">
+					<xsl:value-of select="/cdm:CDM/cdm:orgUnit[cdm:orgUnitCode[@codeSet = 'codeUAI'] = $codeUAI]/cdm:orgUnitID"/>
+				</xsl:if>	
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:value-of select="/cdm:CDM/cdm:orgUnit[starts-with(cdm:orgUnitID, concat('FRUAI', cdm:orgUnitCode[@codeSet = 'codeUAI']))]/cdm:orgUnitID"/>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	
+</xsl:stylesheet>
Index: main/plugin-odf-sync/stylesheets/cdm12/course2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/course2content.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/course2content.xsl	(revision 0)
@@ -0,0 +1,281 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2012 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:cdmfr="http://cdm-fr.fr/2013/CDM-frSchema"
+	exclude-result-prefixes="cdm cdmfr">
+	
+	<xsl:template name="course-CDMid">
+		<xsl:attribute name="CDMid"><xsl:value-of select="@id"/></xsl:attribute>
+	</xsl:template>
+	
+	<xsl:template name="course-description">
+		<description type="rich-text">
+			<xsl:if test="cdm:courseDescription/cdmfr:infoBlock/*">
+				<xsl:apply-templates select="cdm:courseDescription/cdmfr:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</description>
+	</xsl:template>
+	
+	<xsl:template name="course-objectives">
+		<objectives type="rich-text">
+			<xsl:if test="cdm:learningObjectives/*">
+				<xsl:apply-templates select="cdm:learningObjectives[*]" mode="infoblock"/>
+			</xsl:if>
+		</objectives>
+	</xsl:template>
+	
+	<xsl:template name="course-totalDurationOfCM">
+		<xsl:if test="cdmfr:credits/cdmfr:globalVolume[@teachingtype='CM']">
+			<totalDurationOfCM type="string"><xsl:value-of select="cdmfr:credits/cdmfr:globalVolume[@teachingtype='CM']"/></totalDurationOfCM>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-totalDurationOfTD">
+		<xsl:if test="cdmfr:credits/cdmfr:globalVolume[@teachingtype='TD']">
+			<totalDurationOfTD type="string"><xsl:value-of select="cdmfr:credits/cdmfr:globalVolume[@teachingtype='TD']"/></totalDurationOfTD>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-totalDurationOfTP">
+		<xsl:if test="cdmfr:credits/cdmfr:globalVolume[@teachingtype='TP']">
+			<totalDurationOfTP type="string"><xsl:value-of select="cdmfr:credits/cdmfr:globalVolume[@teachingtype='TP']"/></totalDurationOfTP>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-neededPrerequisite">
+		<neededPrerequisite type="rich-text">
+			<xsl:if test="cdm:formalPrerequisites/*">
+				<xsl:apply-templates select="cdm:formalPrerequisites[*]" mode="infoblock"/>
+			</xsl:if>
+		</neededPrerequisite>
+	</xsl:template>
+	
+	<xsl:template name="course-recommendedPrerequisite">
+		<recommendedPrerequisite type="rich-text">
+			<xsl:if test="cdm:recommendedPrerequisites/*">
+				<xsl:apply-templates select="cdm:recommendedPrerequisites[*]" mode="infoblock"/>
+			</xsl:if>
+		</recommendedPrerequisite>
+	</xsl:template>
+	
+	<xsl:template name="course-formOfAssessment">
+		<formOfAssessment type="rich-text">
+			<xsl:if test="cdm:formOfAssessment/*">
+				<xsl:apply-templates select="cdm:formOfAssessment[*]" mode="infoblock"/>
+			</xsl:if>
+		</formOfAssessment>
+	</xsl:template>
+	
+	<xsl:template name="course-benefits">
+		<benefits type="rich-text">
+			<xsl:if test="cdm:benefits/*">
+				<xsl:apply-templates select="cdm:benefits[*]" mode="infoblock"/>
+			</xsl:if>
+		</benefits>
+	</xsl:template>
+	
+	<xsl:template name="course-syllabus">
+		<syllabus type="rich-text">
+			<xsl:if test="cdm:syllabus/*[not(local-name()='webLink' and @role='learningObjectMetadata')]">
+				<xsl:apply-templates select="cdm:syllabus[*]" mode="infoblock"/>
+			</xsl:if>
+		</syllabus>
+		<xsl:if test="cdm:syllabus/cdm:webLink[@role='learningObjectMetadata']">
+			<lomSheets type="repeater">
+				<xsl:for-each select="cdm:syllabus/cdm:webLink[@role='learningObjectMetadata']">
+					<item>
+						<linkUrl type="string"><xsl:value-of select="cdm:href"/></linkUrl>
+						<linkLabel type="string"><xsl:value-of select="cdm:linkName"/></linkLabel>
+					</item>
+				</xsl:for-each>
+			</lomSheets>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-additionalInformations">
+		<additionalInformations type="rich-text">
+			<xsl:if test="cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</additionalInformations>
+	</xsl:template>
+	
+	<xsl:template name="course-title">
+		<xsl:if test="cdm:courseName/cdm:text">
+			<title type="string"><xsl:value-of select="cdm:courseName/cdm:text"/></title>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-elpCode">
+		<xsl:if test="cdm:courseID">
+			<elpCode type="string" sync="false"><xsl:value-of select="cdm:courseID"/></elpCode>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-cdmCode">
+		<xsl:if test="cdm:courseCode">
+			<cdmCode type="string" sync="false"><xsl:value-of select="cdm:courseCode"/></cdmCode>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-erasmusCode">
+		<xsl:if test="@ident">
+			<erasmusCode type="string"><xsl:value-of select="@ident"/></erasmusCode>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-orgUnit">
+		<xsl:choose>
+			<xsl:when test="$import-root-orgunit-only = 'true'">
+				<orgUnit type="orgunit" multiple="true">
+					<item><xsl:call-template name="root-orgunit-id"/></item>
+				</orgUnit>
+			</xsl:when>
+			<xsl:otherwise>
+				<orgUnit type="orgunit" multiple="true">
+					<xsl:for-each select="cdm:contacts/cdm:refOrgUnit">
+						<item><xsl:value-of select="@idRef"/></item>
+					</xsl:for-each>
+				</orgUnit>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	
+	<xsl:template name="course-teachingLocation">
+<!-- TODO BiM : To add -->
+<!--		<xsl:if test="">-->
+<!--			<teachingLocation type="string"><xsl:value-of select=""/></teachingLocation>-->
+<!--		</xsl:if>-->
+	</xsl:template>
+	
+	<xsl:template name="course-personInCharge">
+		<personInCharge type="person" multiple="true">
+			<xsl:for-each select="cdm:contacts/cdm:refPerson[@role='responsible']">
+				<item><xsl:value-of select="@idRef"/></item>
+			</xsl:for-each>
+		</personInCharge>
+	</xsl:template>
+	
+	<xsl:template name="course-contact">
+		<contact type="person" multiple="true">
+			<xsl:for-each select="cdm:contacts/cdm:refPerson[@role='contact']">
+				<item><xsl:value-of select="@idRef"/></item>
+			</xsl:for-each>
+		</contact>
+	</xsl:template>
+	
+	<xsl:template name="course-ects">
+		<xsl:if test="cdmfr:credits/@ECTScredits">
+			<ects type="string"><xsl:value-of select="cdmfr:credits/@ECTScredits"/></ects>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-nbHours">
+		<xsl:if test="cdmfr:credits/@totalWorkLoad">
+			<nbHours type="string"><xsl:value-of select="cdmfr:credits/@totalWorkLoad"/></nbHours>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-maxNumberOfStudents">
+		<xsl:if test="cdm:admissionInfo/cdm:studentPlaces">
+			<maxNumberOfStudents type="string"><xsl:value-of select="cdm:admissionInfo/cdm:studentPlaces/@places"/></maxNumberOfStudents>
+		</xsl:if>
+	</xsl:template>
+
+	<xsl:template name="course-teachingTerm">
+		<xsl:if test="cdm:teachingTerm/@term">
+			<teachingTerm type="string" constant="TEACHING_TERM"><xsl:value-of select="cdm:teachingTerm/@term"/></teachingTerm>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-timeSlot">
+		<xsl:if test="cdm:teachingTerm/@timeOfDay">
+			<timeSlot type="string" constant="TIME_SLOT"><xsl:value-of select="cdm:teachingTerm/@timeOfDay"/></timeSlot>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-level">
+		<xsl:if test="cdm:level/@level">
+			<level type="string" constant="LEVEL"><xsl:value-of select="cdm:level/@level"/></level>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-formofteachingMethod">
+		<xsl:if test="cdm:formOfTeaching/@method">
+			<formofteachingMethod type="string" constant="FORMOFTEACHING_METHOD"><xsl:value-of select="cdm:formOfTeaching/@method"/></formofteachingMethod>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-formofteachingOrg">
+		<xsl:if test="cdm:formOfTeaching/@org">
+			<formofteachingOrg type="string" constant="FORMOFTEACHING_ORG"><xsl:value-of select="cdm:formOfTeaching/@org"/></formofteachingOrg>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-teachingActivity">
+		<xsl:if test="cdm:teachingActivity/@method">
+			<teachingActivity type="string" constant="TEACHING_ACTIVITY"><xsl:value-of select="cdm:teachingActivity/@method"/></teachingActivity>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-teachingLanguage">
+		<xsl:if test="cdm:instructionLanguage/@teachingLang">
+			<teachingLanguage type="string"><xsl:value-of select="cdm:instructionLanguage/@teachingLang"/></teachingLanguage>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-startDate">
+		<xsl:if test="cdm:admissionInfo/cdm:teachingStart">
+			<startDate type="date"><xsl:value-of select="cdm:admissionInfo/cdm:teachingStart/@date"/></startDate>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-keywords">
+		<keywords type="string" multiple="true">
+			<xsl:for-each select="cdm:searchword">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</keywords>
+	</xsl:template>
+	
+	<xsl:template name="course-webLinkLabel">
+		<xsl:if test="cdmfr:webLink/cdmfr:linkName">
+			<webLinkLabel type="string"><xsl:value-of select="cdmfr:webLink/cdmfr:linkName"/></webLinkLabel>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-webLinkUrl">
+		<xsl:if test="cdmfr:webLink/cdm:href">
+			<webLinkUrl type="string"><xsl:value-of select="cdmfr:webLink/cdm:href"/></webLinkUrl>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="course-coursesReferences">
+		<xsl:if test="cdm:courseDescription/cdmfr:courseContentsEC/cdmfr:refCourse/@idRef">
+			<coursesReferences type="courseList" name="Liste">
+				<xsl:for-each select="cdm:courseDescription/cdmfr:courseContentsEC/cdmfr:refCourse">
+					<item><xsl:value-of select="@idRef"/></item>
+				</xsl:for-each>
+			</coursesReferences>
+		</xsl:if>
+	</xsl:template>
+    
+    <!-- Template to override in order to add customized fields -->
+    <xsl:template name="course-additionalFields"/>
+</xsl:stylesheet>
Index: main/plugin-odf-sync/stylesheets/cdm12/infoblock2docbook.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/infoblock2docbook.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/infoblock2docbook.xsl	(revision 0)
@@ -0,0 +1,145 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2010 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns="http://docbook.org/ns/docbook"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:ametys-cdm="http://www.ametys.org/cdm/1.0"
+	xmlns:xlink="http://www.w3.org/1999/xlink"
+	exclude-result-prefixes="cdm">
+    
+    <xsl:output method="xml" indent="yes" />
+    
+	<xsl:template match="*" mode="infoblock">
+    	<article version="5">
+    		<xsl:apply-templates select="cdm:p|cdm:bold|cdm:strong|cdm:italic|cdm:em|cdm:subBlock|cdm:list|cdm:br|text()|cdm:webLink|cdm:email"/>
+    	</article>
+    </xsl:template>
+    
+    <xsl:template match="*" mode="infoblock-without-article">
+    	<xsl:apply-templates select="cdm:p|cdm:bold|cdm:strong|cdm:italic|cdm:em|cdm:subBlock|cdm:list|cdm:br|text()|cdm:webLink|cdm:email"/>
+    </xsl:template>
+
+    <xsl:template match="cdm:subBlock">
+    	<section>
+    		<xsl:apply-templates/>
+    	</section>
+    </xsl:template>
+    
+    <xsl:template match="cdm:header">
+    	<title>
+    		<xsl:value-of select="text()"/>
+    	</title>
+    </xsl:template>
+    
+    <xsl:template match="cdm:list">
+    	<xsl:choose>
+    		<xsl:when test="@listType = 'numbered'">
+    			<orderedlist>
+					<xsl:apply-templates select="cdm:listItem"/>
+    			</orderedlist>
+    		</xsl:when>
+    		<xsl:otherwise>
+    			<itemizedlist>
+					<xsl:apply-templates select="cdm:listItem"/>
+				</itemizedlist>
+    		</xsl:otherwise>
+    	</xsl:choose>
+    </xsl:template>
+    
+    <xsl:template match="cdm:listItem">
+        <listitem>
+            <para>
+				<xsl:apply-templates/>
+			</para>
+        </listitem>
+    </xsl:template>
+    
+    <xsl:template match="cdm:p">
+    	<para>
+			<xsl:apply-templates/>
+		</para>
+    </xsl:template>
+    
+    <xsl:template match="cdm:br">
+    	<phrase role="linebreak"/>
+    </xsl:template>
+    
+    <xsl:template match="cdm:bold|cdm:strong">
+    	<emphasis role="strong">
+			<xsl:apply-templates/>
+		</emphasis>
+    </xsl:template>
+    
+    <xsl:template match="cdm:italic|cdm:em">
+    	<emphasis>
+			<xsl:apply-templates/>
+		</emphasis>
+    </xsl:template>
+    
+    <xsl:template match="cdm:picture">
+     	<mediaobject>
+     		<alt/>
+     		<imageobject>
+     			<imagedata type="local" fileref="{cdm:weblink/cdm:href}" width="{cdm:extension/ametys-cdm:width}" depth="{cdm:extension/ametys-cdm:height}"/>
+     		</imageobject>
+     	</mediaobject>
+    </xsl:template>
+    
+    <xsl:template match="cdm:email">
+    	<xsl:if test="text() != ''">
+	    	<link>
+	    		<xsl:attribute name="xlink:href">
+	    			<xsl:text>mailto:</xsl:text>
+	       			<xsl:value-of select="text()"/>
+	       		</xsl:attribute>
+	       		<xsl:apply-templates/>
+	    	</link>
+    	</xsl:if>
+    </xsl:template>
+    
+    <xsl:template match="cdm:webLink[@role = 'learningObjectMetadata']">
+    	<!-- LOM sheets, ignore -->
+    </xsl:template>
+    
+    <xsl:template match="cdm:webLink">
+    	<xsl:if test="normalize-space(cdm:href) != ''">
+	        <link>
+	       		<xsl:attribute name="xlink:href">
+	       			<xsl:value-of select="cdm:href"/>
+	       		</xsl:attribute>
+	       		<xsl:choose>
+	       			<xsl:when test="normalize-space(cdm:linkName)">
+	       				<xsl:apply-templates select="cdm:linkName"/>
+	       			</xsl:when>
+	       			<xsl:otherwise>
+	       				<xsl:apply-templates select="cdm:href"/>
+	       			</xsl:otherwise>
+	       		</xsl:choose>
+	        </link>
+    	</xsl:if>
+    </xsl:template>
+    
+    <xsl:template match="text()[not(parent::*[parent::*])]">
+    	<xsl:if test="normalize-space(.) != ''">
+	    	<para>
+	    		<xsl:value-of select="normalize-space(.)"/>
+	    	</para>
+    	</xsl:if>
+    </xsl:template>
+    
+</xsl:stylesheet>
\ No newline at end of file
Index: main/plugin-odf-sync/stylesheets/cdm12/orgunit2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/orgunit2content.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/orgunit2content.xsl	(revision 0)
@@ -0,0 +1,127 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2012 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:cdmfr="http://cdm-fr.fr/2013/CDM-frSchema"
+	exclude-result-prefixes="cdm cdmfr">
+	
+	<xsl:template name="orgunit-CDMid">
+		<xsl:attribute name="CDMid"><xsl:value-of select="@id"/></xsl:attribute>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-code">
+		<code type="string" sync="false"><xsl:value-of select="cdm:orgUnitID"/></code>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-codeUAI">
+		<xsl:if test="cdm:orgUnitCode[@codeSet='codeUAI']">
+			<codeUAI type="string" sync="false"><xsl:value-of select="cdm:orgUnitCode[@codeSet='codeUAI']"/></codeUAI>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-title">
+		<xsl:if test="cdm:orgUnitName/cdm:text">
+			<title type="string"><xsl:value-of select="cdm:orgUnitName/cdm:text"/></title>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-acronym">
+		<xsl:if test="cdm:orgUnitAcronym">
+			<acronym type="string"><xsl:value-of select="cdm:orgUnitAcronym"/></acronym>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-description">
+		<description type="rich-text">
+			<xsl:if test="cdm:orgUnitDescription/*">
+				<xsl:apply-templates select="cdm:orgUnitDescription[*]" mode="infoblock"/>
+			</xsl:if>
+		</description>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-admissionInfo">
+		<admissionInfo type="rich-text">
+			<xsl:if test="cdm:admissionInfo/cdmfr:admissionDescription/*">
+				<xsl:apply-templates select="cdm:admissionInfo/cdmfr:admissionDescription[*]" mode="infoblock"/>
+			</xsl:if>
+		</admissionInfo>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-regulations">
+		<regulations type="rich-text">
+			<xsl:if test="cdm:regulations/*">
+				<xsl:apply-templates select="cdm:regulations[*]" mode="infoblock"/>
+			</xsl:if>
+		</regulations>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-expenses">
+		<expenses type="rich-text">
+			<xsl:if test="cdm:expenses/*">
+				<xsl:apply-templates select="cdm:expenses[*]" mode="infoblock"/>
+			</xsl:if>
+		</expenses>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-universalAdjustment">
+		<universalAdjustment type="rich-text">
+			<xsl:if test="cdm:universalAdjustment/*">
+				<xsl:apply-templates select="cdm:universalAdjustment[*]" mode="infoblock"/>
+			</xsl:if>
+		</universalAdjustment>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-studentFacilities">
+		<studentFacilities type="rich-text">
+			<xsl:if test="cdm:studentFacilities/*">
+				<xsl:apply-templates select="cdm:studentFacilities[*]" mode="infoblock"/>
+			</xsl:if>
+		</studentFacilities>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-additionalInfos">
+		<additionalInfos type="rich-text">
+			<xsl:if test="cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</additionalInfos>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-webLinkLabel">
+		<xsl:if test="cdmfr:webLink/cdmfr:linkName">
+			<webLinkLabel type="string"><xsl:value-of select="cdmfr:webLink/cdmfr:linkName"/></webLinkLabel>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-webLinkUrl">
+		<xsl:if test="cdmfr:webLink/cdm:href">
+			<webLinkUrl type="string"><xsl:value-of select="cdmfr:webLink/cdm:href"/></webLinkUrl>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="orgunit-contactsReferences">
+		<contactsReferences type="person" multiple="true">
+			<xsl:for-each select="cdm:contacts/cdm:refPerson">
+				<item><xsl:value-of select="@idRef"/></item>
+			</xsl:for-each>
+		</contactsReferences>
+	</xsl:template>
+    
+    <!-- Template to override in order to add customized fields -->
+    <xsl:template name="orgunit-additionalFields"/>
+</xsl:stylesheet>
Index: main/plugin-odf-sync/stylesheets/cdm12/person2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/person2content.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/person2content.xsl	(revision 0)
@@ -0,0 +1,123 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2012 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:cdmfr="http://cdm-fr.fr/2013/CDM-frSchema"
+	exclude-result-prefixes="cdm cdmfr">
+	
+	<xsl:template name="person-CDMid">
+		<xsl:attribute name="CDMid"><xsl:value-of select="@id"/></xsl:attribute>
+	</xsl:template>
+	
+	<xsl:template name="person-login">
+		<xsl:if test="cdm:personID">
+			<login type="string" sync="false"><xsl:value-of select="cdm:personID"/></login>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-personTitle">
+		<xsl:if test="cdm:title/cdm:text">
+			<personTitle type="string" sync="false"><xsl:value-of select="cdm:title/cdm:text"/></personTitle>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-lastName">
+		<xsl:if test="cdm:name/cdm:family">
+			<lastName type="string" sync="false"><xsl:value-of select="cdm:name/cdm:family"/></lastName>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-givenName">
+		<xsl:if test="cdm:name/cdm:given">
+			<givenName type="string" sync="false"><xsl:value-of select="cdm:name/cdm:given"/></givenName>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-role">
+		<role type="string" multiple="true" sync="false">
+			<xsl:for-each select="cdm:role">
+				<item><xsl:value-of select="cdm:text"/></item>
+			</xsl:for-each>
+		</role>
+	</xsl:template>
+	
+	<xsl:template name="person-phone">
+		<xsl:if test="cdm:contactData/cdm:telephone">
+			<phone type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:telephone"/></phone>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-fax">
+		<xsl:if test="cdm:contactData/cdm:fax">
+			<fax type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:fax"/></fax>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-mail">
+		<xsl:if test="cdm:contactData/cdm:email">
+			<mail type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:email"/></mail>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-address">
+		<xsl:if test="cdm:contactData/cdm:adr/cdm:street">
+			<address type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:adr/cdm:street"/></address>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-additionalAddress">
+		<xsl:if test="cdm:contactData/cdm:adr/cdm:extadr">
+			<additionalAddress type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:adr/cdm:extadr"/></additionalAddress>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-zipCode">
+		<xsl:if test="cdm:contactData/cdm:adr/cdm:pcode">
+			<zipCode type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:adr/cdm:pcode"/></zipCode>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-town">
+		<xsl:if test="cdm:contactData/cdm:adr/cdm:locality">
+			<town type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:adr/cdm:locality"/></town>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-webLinkLabel">
+		<xsl:if test="cdm:contactData/cdm:webLink/cdm:linkName">
+			<webLinkLabel type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:webLink/cdm:linkName"/></webLinkLabel>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-webLinkUrl">
+		<xsl:if test="cdm:contactData/cdm:webLink/cdm:href">
+			<webLinkUrl type="string" sync="false"><xsl:value-of select="cdm:contactData/cdm:webLink/cdm:href"/></webLinkUrl>
+		</xsl:if>
+	</xsl:template>
+	
+	<xsl:template name="person-additionalInformations">
+		<additionalInformations type="rich-text" sync="false">
+			<xsl:if test="cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</additionalInformations>
+	</xsl:template>
+    
+    <!-- Template to override in order to add customized fields -->
+    <xsl:template name="person-additionalFields"/>
+</xsl:stylesheet>
Index: main/plugin-odf-sync/stylesheets/cdm12/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm12/program2content.xsl	(revision 0)
+++ main/plugin-odf-sync/stylesheets/cdm12/program2content.xsl	(revision 0)
@@ -0,0 +1,530 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2012 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:cdm="http://cdm-fr.fr/2013/CDM"
+	xmlns:cdmfr="http://cdm-fr.fr/2013/CDM-frSchema"
+	xmlns:ametys-cdm="http://www.ametys.org/cdm/1.0"
+	exclude-result-prefixes="cdm cdmfr ametys-cdm">
+	
+	<!-- Identifiant CDM -->
+	<xsl:template name="program-CDMid">
+		<xsl:attribute name="CDMid"><xsl:value-of select="@id"/></xsl:attribute>
+	</xsl:template>
+	
+	<!-- Catalogue -->
+	<xsl:template name="program-catalog">
+		<xsl:if test="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:catalog">
+			<catalog type="string" sync="false"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:catalog/@value"/></catalog>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Présentation -->
+	<xsl:template name="program-presentation">
+		<presentation type="rich-text">
+			<xsl:apply-templates select="cdmfr:programDescription/cdm:infoBlock[*]" mode="infoblock"/>
+		</presentation>
+	</xsl:template>
+	
+	<!-- Objectifs -->
+	<xsl:template name="program-objectives">
+		<objectives type="rich-text">
+			<xsl:if test="cdm:learningObjectives/*">
+				<xsl:apply-templates select="cdm:learningObjectives[*]" mode="infoblock"/>
+			</xsl:if>
+		</objectives>
+	</xsl:template>
+	
+	<!-- Savoir-faire et compétences -->
+	<xsl:template name="program-qualification">
+		<qualification type="rich-text">
+			<xsl:if test="cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:qualification/cdmfr:qualificationDescription/cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</qualification>
+	</xsl:template>
+	
+	<!-- Organisation -->
+	<xsl:template name="program-teachingOrganization">
+		<teachingOrganization type="rich-text">
+			<xsl:if test="cdmfr:programStructure[not(cdmfr:refCourse)]/cdm:infoBlock/*">
+				<xsl:apply-templates select="cdmfr:programStructure[not(cdmfr:refCourse)]/cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</teachingOrganization>
+	</xsl:template>
+	
+	<!-- Condition d'admission -->
+	<xsl:template name="program-accessCondition">
+		<accessCondition type="rich-text">
+			<xsl:if test="cdm:admissionInfo/cdmfr:admissionDescription/*">
+				<xsl:apply-templates select="cdm:admissionInfo/cdmfr:admissionDescription[*]" mode="infoblock"/>
+			</xsl:if>
+		</accessCondition>
+	</xsl:template>
+	
+	<!-- ¨Pré-requis nécessaires -->
+	<xsl:template name="program-neededPrerequisite">
+		<neededPrerequisite type="rich-text">
+			<xsl:if test="cdm:formalPrerequisites/*">
+				<xsl:apply-templates select="cdm:formalPrerequisites[*]" mode="infoblock"/>
+			</xsl:if>
+		</neededPrerequisite>
+	</xsl:template>
+	
+	<!-- ¨Pré-requis recommandés -->
+	<xsl:template name="program-recommendedPrerequisite">
+		<recommendedPrerequisite type="rich-text">
+			<xsl:if test="cdm:recommendedPrerequisites/*">
+				<xsl:apply-templates select="cdm:recommendedPrerequisites[*]" mode="infoblock"/>
+			</xsl:if>
+		</recommendedPrerequisite>
+	</xsl:template>
+	
+	<!-- Poursuite d'étude -->
+	<xsl:template name="program-furtherStudy">
+		<furtherStudy type="rich-text">
+			<xsl:if test="cdm:qualification/cdmfr:studyQualification/cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:qualification/cdmfr:studyQualification/cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</furtherStudy>
+	</xsl:template>
+	
+	<!-- Poursuite d'études à l'étranger -->
+	<xsl:template name="program-studyAbroad">
+		<studyAbroad type="rich-text">
+			<xsl:if test="cdm:studyAbroad/*">
+				<xsl:apply-templates select="cdm:studyAbroad[*]" mode="infoblock"/>
+			</xsl:if>
+		</studyAbroad>
+	</xsl:template>
+	
+	<!-- Public cible -->
+	<xsl:template name="program-targetGroup">
+		<targetGroup type="rich-text">
+			<xsl:if test="cdm:targetGroup/*">
+				<xsl:apply-templates select="cdm:targetGroup[*]" mode="infoblock"/>
+			</xsl:if>
+		</targetGroup>
+	</xsl:template>
+	
+	<!-- Insertion professionnelle -->
+	<xsl:template name="program-jobOpportunities">
+		<jobOpportunities type="rich-text">
+			<xsl:if test="cdm:qualification/cdmfr:profession/cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:qualification/cdmfr:profession/cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</jobOpportunities>
+	</xsl:template>
+	
+	<!-- Stage -->
+	<xsl:template name="program-trainingStrategy">
+		<trainingStrategy type="rich-text">
+			<xsl:if test="/cdm:CDM/cdmfr:habilitation/cdmfr:partnership/cdmfr:training/cdmfr:trainingStrategy/*">
+				<xsl:apply-templates select="/cdm:CDM/cdmfr:habilitation/cdmfr:partnership/cdmfr:training/cdmfr:trainingStrategy[*]" mode="infoblock"/>
+			</xsl:if>
+		</trainingStrategy>
+	</xsl:template>
+    
+    <!-- AMETYS : Stages -->
+    <xsl:template name="program-trainingInfo">
+        <internship type="string" constant="INTERNSHIP"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:training/ametys-cdm:trainingInfo"/></internship>
+        <internshipDuration type="string"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:training/ametys-cdm:trainingDuration"/></internshipDuration>
+        <internshipAbroad type="string" constant="INTERNSHIP"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:training/ametys-cdm:trainingAbroadInfo"/></internshipAbroad>
+        <internshipAbroadDuration type="string"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:training/ametys-cdm:trainingAbroadDuration"/></internshipAbroadDuration>
+    </xsl:template>
+	
+	<!-- Contrôle des connaissance -->
+	<xsl:template name="program-knowledgeCheck">
+		<knowledgeCheck type="rich-text">
+			<xsl:if test="cdm:qualification/cdmfr:credits/cdm:infoBlock/*">
+				<xsl:apply-templates select="cdm:qualification/cdmfr:credits/cdm:infoBlock[*]" mode="infoblock"/>
+			</xsl:if>
+		</knowledgeCheck>
+	</xsl:template>
+	
+	<!-- Aménagement particulier -->
+	<xsl:template name="program-universalAdjustment">
+		<universalAdjustment type="rich-text">
+			<xsl:if test="cdm:universalAdjustment/*">
+				<xsl:apply-templates select="cdm:universalAdjustment[*]" mode="infoblock"/>
+			</xsl:if>
+		</universalAdjustment>
+	</xsl:template>
+	
+	<!-- Information complémentaire -->
+	<xsl:template name="program-additionalInformations">
+		<additionalInformations type="rich-text">
+			<xsl:if test="cdm:infoBlock[not(@userDefined = 'ametys-extension')]/*">
+				<xsl:apply-templates select="cdm:infoBlock[not(@userDefined = 'ametys-extension')][*]" mode="infoblock"/>
+			</xsl:if>
+		</additionalInformations>
+	</xsl:template>
+	
+	<!-- AMETYS : Passerelle et ré-orientation -->
+    <xsl:template name="program-reorientation">
+        <reorientation type="rich-text">
+            <xsl:if test="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:reorientation/*">
+                <xsl:apply-templates select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:reorientation[*]" mode="infoblock"/>
+            </xsl:if>
+        </reorientation>
+    </xsl:template>
+	
+	<!-- Droits de scolarités -->
+	<xsl:template name="program-expenses">
+		<expenses type="rich-text">
+			<xsl:if test="cdm:expenses/*">
+				<xsl:apply-templates select="cdm:expenses[*]" mode="infoblock"/>
+			</xsl:if>
+		</expenses>
+	</xsl:template>
+	
+	<!-- Domaine ministeriel-->
+	<xsl:template name="program-domain">
+		<xsl:if test="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:domainName/cdmfr:fixedDomain|/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:domainName/cdmfr:openDomain">
+			<domain type="string" constant="DOMAIN"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:domainName/cdmfr:fixedDomain|/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit/cdmfr:habOrgUnit/cdmfr:domainName/cdmfr:openDomain"/></domain>
+		</xsl:if>
+	</xsl:template>
+
+	<!-- RNCP Code -->
+	<xsl:template name="program-rncpCode">
+	</xsl:template>
+	
+	<!-- SISE Code -->
+	<xsl:template name="program-dgesipCode">
+		<dgesipCode type="string" multiple="true" constant="CODE_DGESIP">
+			<xsl:for-each select="cdmfr:programCode[@codeSet='sectDGESIP']">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</dgesipCode>
+	</xsl:template>
+	
+	<!-- SISE Code -->
+	<xsl:template name="program-siseCode">
+		<siseCode type="string" multiple="true" constant="CODE_SISE">
+			<xsl:for-each select="cdmfr:programCode[@codeSet='sectDiscipSISE']">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</siseCode>
+	</xsl:template>
+	
+	<!-- CITE97 Code -->
+	<xsl:template name="program-cite97Code">
+		<cite97Code type="string" multiple="true" constant="CODE_CITE97">
+			<xsl:for-each select="cdmfr:programCode[@codeSet='cite97']">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</cite97Code>
+	</xsl:template>
+	
+	<!-- Erasmus Code -->
+	<xsl:template name="program-erasmusCode">
+		<erasmusCode type="string" multiple="true" constant="CODE_ERASMUS">
+			<xsl:for-each select="cdmfr:programCode[@codeSet='ERASMUS']">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</erasmusCode>
+	</xsl:template>
+	
+	<!-- ROME Code -->
+	<xsl:template name="program-romeCode">
+		<romeCode type="string" multiple="true" constant="CODE_ROME">
+			<xsl:for-each select="cdm:qualification/cdmfr:profession/cdmfr:romeData[@romeCode]">
+				<item><xsl:value-of select="@romeCode"/></item>
+			</xsl:for-each>
+		</romeCode>
+	</xsl:template>
+	
+	<!-- Code -->
+	<xsl:template name="program-code">
+		<xsl:if test="cdm:programID">
+			<code type="string" sync="false"><xsl:value-of select="cdm:programID"/></code>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- CDM Code -->
+	<xsl:template name="program-cdmCode">
+		<xsl:if test="cdmfr:programCode[@codeSet='userDefined']">
+			<cdmCode type="string" sync="false"><xsl:value-of select="cdmfr:programCode[@codeSet='userDefined']"/></cdmCode>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Titre -->
+	<xsl:template name="program-title">
+		<xsl:if test="cdmfr:programName/cdmfr:text">
+			<title type="string"><xsl:value-of select="cdmfr:programName/cdmfr:text"/></title>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Mention -->
+	<xsl:template name="program-mention">
+        <xsl:choose>
+            <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
+                <mention type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/@fieldNameCode"/></mention>
+            </xsl:when>
+            <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free">
+                <mention type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free"/></mention>
+            </xsl:when>
+        </xsl:choose>
+	</xsl:template>
+	
+	<!-- Spécialité -->
+	<xsl:template name="program-speciality">
+		<xsl:if test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:speciality/cdmfr:specialityName|/cdm:CDM/cdmfr:habilitation/cdmfr:licPro/cdmfr:specialite/cdm:text">
+			<speciality type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:speciality/cdmfr:specialityName|/cdm:CDM/cdmfr:habilitation/cdmfr:licPro/cdmfr:specialite/cdm:text"/></speciality>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Niveau d'étude -->
+	<xsl:template name="program-educationLevel">
+		<xsl:if test="cdm:levelCode/@codeSet">
+			<educationLevel type="string" constant="LEVEL"><xsl:value-of select="cdm:levelCode/@codeSet"/></educationLevel>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Diplome -->
+	<xsl:template name="program-degree">
+		<xsl:choose>
+			<xsl:when test="cdm:qualification/cdmfr:degree/@degree">
+				<degree type="string" constant="DEGREE"><xsl:value-of select="cdm:qualification/cdmfr:degree/@degree"/></degree>
+			</xsl:when>
+			<xsl:when test="cdm:qualification/cdmfr:degree/@degreeNotLMD">
+				<degree type="string" constant="DEGREE"><xsl:value-of select="cdm:qualification/cdmfr:degree/@degreeNotLMD"/></degree>
+			</xsl:when>
+		</xsl:choose>
+	</xsl:template>
+	
+	<!-- Etablissements cohabilités -->
+	<xsl:template name="program-jointOrgUnit">
+		<jointOrgUnit type="string" multiple="true">
+			<xsl:if test="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit[@cohabilitationRole= 'cohabilité']/cdmfr:habOrgUnit">
+				<xsl:for-each select="/cdm:CDM/cdmfr:habilitation/cdmfr:cohabilitation/cdmfr:listOfOrgUnit[@cohabilitationRole= 'cohabilité']/cdmfr:habOrgUnit">
+					<item><xsl:value-of select="cdmfr:refOrgUnit"/></item>
+				</xsl:for-each>
+			</xsl:if>
+		</jointOrgUnit>
+	</xsl:template>
+	
+	<!-- Composantes -->
+	<xsl:template name="program-orgUnit">
+		<xsl:choose>
+			<xsl:when test="$import-root-orgunit-only = 'true'">
+				<orgUnit type="orgunit" multiple="true">
+					<item><xsl:call-template name="root-orgunit-id"/></item>
+				</orgUnit>
+			</xsl:when>
+			<xsl:otherwise>
+				<orgUnit type="orgunit" multiple="true">
+					<xsl:for-each select="cdm:contacts/cdm:refOrgUnit">
+						<item><xsl:value-of select="@idRef"/></item>
+					</xsl:for-each>
+				</orgUnit>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	
+	<!-- Lieux -->
+	<xsl:template name="program-place">
+		<xsl:if test="cdmfr:teachingPlace/cdm:adr/cdm:locality/@municipalityCode">
+			<place type="string" multiple="true">
+				<xsl:for-each select="cdmfr:teachingPlace[cdm:adr/cdm:locality/@municipalityCode]">
+					<item><xsl:value-of select="cdm:adr/cdm:locality/@municipalityCode"/></item>
+				</xsl:for-each>
+			</place>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Responsable -->
+	<xsl:template name="program-personInCharge">
+		<personInCharge type="person" multiple="true">
+			<xsl:for-each select="cdm:contacts/cdm:refPerson[@role='responsible']">
+				<item><xsl:value-of select="@idRef"/></item>
+			</xsl:for-each>
+		</personInCharge>
+	</xsl:template>
+	
+	<!-- Contact -->
+	<xsl:template name="program-contact">
+		<contact type="person" multiple="true">
+			<xsl:for-each select="cdm:contacts/cdm:refPerson[@role='contact']">
+				<item><xsl:value-of select="@idRef"/></item>
+			</xsl:for-each>
+		</contact>
+	</xsl:template>
+	
+	<!-- Site Url -->
+	<xsl:template name="program-programWebSiteUrl">
+		<xsl:if test="cdmfr:webLink/cdm:href">
+			<programWebSiteUrl type="string"><xsl:value-of select="cdmfr:webLink/cdm:href"/></programWebSiteUrl>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Titre site -->
+	<xsl:template name="program-programWebSiteLabel">
+		<xsl:if test="cdmfr:webLink/cdmfr:linkName">
+			<programWebSiteLabel type="string"><xsl:value-of select="cdmfr:webLink/cdmfr:linkName"/></programWebSiteLabel>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Taux de réusssite -->
+	<xsl:template name="program-successRate">
+		<xsl:if test="cdm:qualification/cdmfr:qualificationDescription/cdmfr:statistics">
+			<successRate type="string"><xsl:value-of select="cdm:qualification/cdmfr:qualificationDescription/cdmfr:statistics"/></successRate>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Crédits ECTS -->
+	<xsl:template name="program-ects">
+		<xsl:if test="cdm:qualification/cdmfr:credits/@ECTScredits">
+			<ects type="string"><xsl:value-of select="cdm:qualification/cdmfr:credits/@ECTScredits"/></ects>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Nature de la formation -->
+	<xsl:template name="program-educationKind">
+		<xsl:if test="cdmfr:programDescription/@nature">
+			<educationKind type="string" constant="PROGRAM_TYPE"><xsl:value-of select="cdmfr:programDescription/@nature"/></educationKind>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Durée -->
+	<xsl:template name="program-duration">
+		<xsl:if test="cdm:programDuration">
+			<duration type="string"><xsl:value-of select="cdm:programDuration"/></duration>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Langue -->
+	<xsl:template name="program-educationLanguage">
+		<xsl:if test="cdmfr:ppalTeachingLanguage/@teachingLang">
+			<educationLanguage type="string"><xsl:value-of select="cdmfr:ppalTeachingLanguage/@teachingLang"/></educationLanguage>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Nombre d'étudiants -->
+	<xsl:template name="program-numberOfStudents">
+		<xsl:if test="cdm:admissionInfo/cdm:studentPlaces">
+			<numberOfStudents type="string"><xsl:value-of select="cdm:admissionInfo/cdm:studentPlaces"/></numberOfStudents>
+		</xsl:if>
+	</xsl:template>
+	
+    <!-- Organisation de l'enseignement -->
+    <xsl:template name="program-formofteachingOrg">
+        <xsl:if test="cdm:formOfTeaching/@org">
+            <formofteachingOrg type="string" multiple="true" constant="FORMOFTEACHING_ORG">
+                <xsl:for-each select="cdm:formOfTeaching/@org">
+                    <item><xsl:value-of select="."/></item>
+                </xsl:for-each>
+            </formofteachingOrg>
+        </xsl:if>
+    </xsl:template>
+    
+	<!-- Formation a distance -->
+	<xsl:template name="program-distanceLearning">
+		<xsl:if test="cdm:formOfTeaching/@method">
+			<distanceLearning type="string" constant="DISTANCE_LEARNING_MODALITIES"><xsl:value-of select="cdm:formOfTeaching/@method"/></distanceLearning>
+		</xsl:if>
+	</xsl:template>
+	
+	
+	<!-- Mots clés -->
+	<xsl:template name="program-keywords">
+		<keywords type="string" multiple="true">
+			<xsl:for-each select="cdm:searchword">
+				<item><xsl:value-of select="."/></item>
+			</xsl:for-each>
+		</keywords>
+	</xsl:template>
+	
+	<!-- AMETYS : Etablissements partenaires -->
+	<xsl:template name="program-partnerSchools">
+		<xsl:if test="cdm:infoBlock[@userDefined = 'ametys-extension']//cdm:extension/ametys-cdm:partnerSchools">
+			<partnerSchools type="repeater">
+				<xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']//cdm:extension/ametys-cdm:partnerSchools/ametys-cdm:partnerSchool">
+					<entry name="{position()}">
+						<linkUrl type="string"><xsl:value-of select="ametys-cdm:linkUrl"></xsl:value-of></linkUrl>
+						<linkLabel type="string"><xsl:value-of select="ametys-cdm:linkLabel"></xsl:value-of></linkLabel>
+					</entry>
+				</xsl:for-each>
+			</partnerSchools>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- AMETYS : Laboratoire partenaires -->
+	<xsl:template name="program-partnerLaboratories">
+		<xsl:if test="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:partnerLaboratories">
+			<partnerLaboratories type="repeater">
+				<xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:partnerLaboratories/ametys-cdm:partnerLaboratory">
+					<entry name="{position()}">
+						<linkUrl type="string"><xsl:value-of select="ametys-cdm:linkUrl"></xsl:value-of></linkUrl>
+						<linkLabel type="string"><xsl:value-of select="ametys-cdm:linkLabel"></xsl:value-of></linkLabel>
+					</entry>
+				</xsl:for-each>
+			</partnerLaboratories>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- AMETYS : Fichiers attachés -->
+	<xsl:template name="program-attachments">
+		<xsl:if test="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:attachments/ametys-cdm:attachment">
+			<attachments type="repeater">
+				<xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:attachments/ametys-cdm:attachment">
+					<entry name="{position()}">
+						<attachment type="file"><xsl:value-of select="ametys-cdm:href"></xsl:value-of></attachment>
+						<attachment-text type="string"><xsl:value-of select="ametys-cdm:text"></xsl:value-of></attachment-text>
+					</entry>
+				</xsl:for-each>
+			</attachments>
+		</xsl:if>
+	</xsl:template>
+	
+	<!-- Structure -->
+	<xsl:template name="program-structure">
+		<!-- Courses lists -->
+		<xsl:for-each select="cdmfr:programStructure[cdmfr:refCourse]">
+			<coursesReferences type="courseList" name="{cdm:infoBlock[@userDefined = 'listName']}" code="{cdm:infoBlock[@userDefined = 'listCode']}" choiceType="{cdm:infoBlock[@userDefined = 'listChoiceType']}">
+				<xsl:if test="cdm:infoBlock[@userDefined = 'listMinNumberOfCourses']">
+					<xsl:attribute name="min"><xsl:value-of select="cdm:infoBlock[@userDefined = 'listMinNumberOfCourses']"/></xsl:attribute>
+				</xsl:if>
+				<xsl:if test="cdm:infoBlock[@userDefined = 'listMaxNumberOfCourses']">
+					<xsl:attribute name="max"><xsl:value-of select="cdm:infoBlock[@userDefined = 'listMaxNumberOfCourses']"/></xsl:attribute>
+				</xsl:if>
+				<xsl:if test="cdm:infoBlock[@userDefined = 'ECTScredits']">
+					<xsl:attribute name="ects"><xsl:value-of select="cdm:infoBlock[@userDefined = 'ECTScredits']"/></xsl:attribute>
+				</xsl:if>
+				<xsl:for-each select="cdmfr:refCourse">
+					<item><xsl:value-of select="@idRef"/></item>
+				</xsl:for-each>
+			</coursesReferences>
+		</xsl:for-each>
+	</xsl:template>
+	
+	<xsl:template name="program-subProgram">
+		<xsl:for-each select="cdm:subProgram[cdm:infoBlock/@userDefined = 'subProgram']">
+			<subProgram>
+				<xsl:call-template name="program-parse"/>
+			</subProgram>
+		</xsl:for-each>
+		<xsl:for-each select="cdm:subProgram[cdm:infoBlock/@userDefined = 'container']">
+			<container>
+				<xsl:call-template name="program-parse"/>
+			</container>
+		</xsl:for-each>
+	</xsl:template>
+    
+    <!-- Template to override in order to add customized fields -->
+    <xsl:template name="program-additionalFields"/>
+</xsl:stylesheet>
